
Figure - Bug #117107
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【桌面】【VC1】左手操作模式的情况下，显示有差距，与ui图不符
2023-03-23 15:06 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-23

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101(X101)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-28

Test Type: ST Root cause: 其他

Description

【前提条件】

1、设备正常启动

2、切换成左手操作模式

【测试步骤】

1、进入launcher页面

2、查看APP位置显示

【预期结果】

2、显示与ui图相同

【实际结果】

2、显示与ui图有差距，差不多14-16pt的差距

【复现率】

3/3

History

#1 - 2023-03-24 16:47 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-03-27 19:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190066 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:VC1 Adaptation1.Fixed Horizontal Offset for workspace in edit modeTC-RID: 0301-0205301IssueID: TS-R-BUG-117107Change-Id:

Ife62cdaf15a612dc33b17863250527109faf98ad
#3 - 2023-03-27 19:39 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-28

- Root cause set to 其他

#4 - 2023-03-27 19:40 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

左右手模式下左右padding不一致，加入offset来修正

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/190066

#5 - 2023-03-30 17:21 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0086.C102

【验证情况】左手操作模式的情况下，与ui图相符合

#6 - 2023-03-30 17:21 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
